## How to write your own agents

We recommend that you place the code for all your agents  in the `agents` directory (though it is not mandatory). All your submissions should contain an Agent class. We have added dummy agent example in [`dummy_agent.py`](dummy_agent.py). The agent class should contain the `generate_responses`

**Add your agent class name in** [`user_config.py`](user_config.py) as UserAgent

## What does the Agent recieve as input and what outputs are expected

You will be provided conversations with `7 turns each` in `batches of upto 50 conversations`. For each batch of conversations, the first set of turns will be provided to your model. After the response is receieved the further turns of the same conversation will be provided. Each conversation will have exactly 7 turns. Your model needs to `complete all 7 responses of 50 conversations within **1 hour**`. The number of batches of conversation your model will process will vary based on the challenge round.

Each batch will be of the following format:

```python
Input 1
[
    {"persona A": ..., "persona B": ... "dialogue": ... }, # conversation 1  Turn 1
    ...
    {"persona A": ..., "persona B": ... "dialogue": ... }  # conversation 50 Turn 1
]

Model should return 50 responses for Turn 1

...
Input 7
[
    {"persona A": ..., "persona B": ... "dialogue": ... }, # conversation 1  Turn 7
    ...
    {"persona A": ..., "persona B": ... "dialogue": ... }  # conversation 50 Turn 7
]
Model should return 50 responses for Turn 7
```
